cURL
curl --request GET \
--url https://gateway.amana.io/transactions/withdrawal-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.amana.io/transactions/withdrawal-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.amana.io/transactions/withdrawal-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"limit": 123,
"count": 123,
"hasNextPage": true,
"hasPrevPage": true,
"totalPages": 123,
"result": [
{
"accountId": "<string>",
"amount": 123,
"fromCurrency": "<string>",
"exchange_rate": 123,
"convertedAmount": 123,
"toCurrency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"transactionId": "<string>",
"paymentGatewayName": "<string>",
"processedComment": "<string>",
"creditCard": {
"lastFourDigits": "<string>",
"typeName": "<string>"
},
"bankAccount": {
"bankName": "<string>",
"iban": "<string>"
},
"ewallet": {
"typeName": "<string>",
"email": "<string>"
},
"transaction": {
"status": "PENDING",
"id": 123,
"transactionId": "<string>",
"referenceNumber": 123,
"completedAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}transactions
Get transactionswithdrawal requests
GET
/
transactions
/
withdrawal-requests
cURL
Authorizations
JWT token obtained from authentication endpoints
Query Parameters
Required range:
x <= 9007199254740991Required range:
x <= 9007199254740991Required range:
x <= 9007199254740991Last modified on October 7, 2026
